# OnIrcConnectionEstabilished

Triggered when a new irc connection has been estabilished

Parameters

    None

Window
Console of the related irc context
Description

This event is triggered immediately after an irc connection has been estabilished. No data has been sent to the server yet and you have not logged in: it is not a good idea attempting to send data to the server (READ: This is NOT a good place for joining channels). Your nickname is still "undefined" too. If you're looking for the appropriate moment for sending data to the server look at the OnIrc event. This event is a good place for initializing connection related variables. By calling halt in this event you will stop the "Connection estabilished" output.

See also
OnIrcConnectionTerminated

Main index, Event index

KVirc 3.0.0 documentation
Generated by root at Thu Apr 29 12:41:05 2004